ScoredDocIdCollector (Lucene 3.6.2 API)
Keywords: org.apache.lucene.facet.search.ScoredDocIdCollector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.search
Class ScoredDocIdCollector

    java.lang.Object
      org.apache.lucene.search.Collector
          org.apache.lucene.facet.search.ScoredDocIdCollector

    public abstract class ScoredDocIdCollector

extends Collector

A `Collector` which stores all docIDs and their scores in a `ScoredDocIDs` instance. If scoring is not enabled, then the default score as set in `setDefaultScore(float)` (or `ScoredDocIDsIterator.DEFAULT_SCORE`) will be set for all documents.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary
`protected int` | `docBase`
`protected FixedBitSet` | `docIds`
`protected int` | `numDocIds`

Method Summary
`static ScoredDocIdCollector` | `create(int maxDoc, boolean enableScoring)` Creates a new `ScoredDocIdCollector` with the given parameters.
`abstract float` | `getDefaultScore()` Returns the default score used when scoring is disabled.
`ScoredDocIDs` | `getScoredDocIDs()`
`abstract ScoredDocIDsIterator` | `scoredDocIdsIterator()`
`abstract void` | `setDefaultScore(float defaultScore)` Set the default score.
`void` | `setNextReader(IndexReader reader, int base)` Called before collecting from each IndexReader.

Methods inherited from class org.apache.lucene.search.Collector
`acceptsDocsOutOfOrder, collect, setScorer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numDocIds

    protected int numDocIds

### docBase

    protected int docBase

### docIds

    protected final FixedBitSet docIds

Method Detail

### create

    public static ScoredDocIdCollector create(int maxDoc,
                                              boolean enableScoring)

  Creates a new `ScoredDocIdCollector` with the given parameters.

  Parameters:
    `maxDoc` - the number of documents that are expected to be collected. Note that if more documents are collected, unexpected exceptions may be thrown. Usually you should pass `IndexReader.maxDoc()` of the same IndexReader with which the search is executed.
    `enableScoring` - if scoring is enabled, a score will be computed for every matching document, which might be expensive. Therefore if you do not require scoring, it is better to set it to false.

### getDefaultScore

    public abstract float getDefaultScore()

  Returns the default score used when scoring is disabled.

### setDefaultScore

    public abstract void setDefaultScore(float defaultScore)

  Set the default score. Only applicable if scoring is disabled.

### scoredDocIdsIterator

    public abstract ScoredDocIDsIterator scoredDocIdsIterator()
                                                       throws IOException

  Throws:
    `IOException`

### getScoredDocIDs

    public ScoredDocIDs getScoredDocIDs()

### setNextReader

    public void setNextReader(IndexReader reader,
                              int base)
                       throws IOException

  Description copied from class: `Collector`
  Called before collecting from each IndexReader. All doc ids in `Collector.collect(int)` will correspond to reader. Add docBase to the current IndexReaders internal document id to re-base ids in `Collector.collect(int)`.

  Specified by:
    `setNextReader` in class `Collector`
  Parameters:
    `reader` - next IndexReader
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD